
QGIS Application - Bug report #21204

Crash on copying shapefile by dragging into geopackage in QGIS Browser

2019-02-08 01:28 PM - Steve Lowman

Status: Closed

Priority: High

Assignee:

Category: Browser

Affected QGIS version:3.4.2 Regression?: No

Operating System: Windows Server 2012 using Citrix Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 29022

Description

Sorry, I don't know how one is supposed to input the copied crash report here, but here it is anyway:

User Feedback

In QGIS Browser, I dragged a polygon shapefile layer into a geopackage. It said something like, "Import successful", but then the

application crashed immediately after that.

Report Details

Crash ID: 0540396dae904042a72b33a27a0b19f2241bfed0

Stack Trace

OGREnvelope::Merge :

CPLStringList::PartialFindString :

CPLStringList::empty :

CPLStringList::empty :

CPLStringList::List :

loadStyle :

QgsVectorLayer::loadNamedStyle :

QgsVectorLayer::loadNamedStyle :

QgsMapLayer::loadDefaultStyle :

QgsVectorLayer::loadDefaultStyle :

QgsVectorLayer::setDataSource :

QgsVectorLayer::QgsVectorLayer :

wildcards :

wildcards :

QgsDataItem::runCreateChildren :

QgsDataItem::runCreateChildren :

QgsDataItem::rowCount :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.2-Madeira

QGIS code revision: commit:22034aa070

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt
Kernel Version: 6.3.9600

History

#1 - 2019-02-08 02:00 PM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

Please try QGIS 3.4.4 on a clean/new profile. If the crash persist then attach sample data/project.

#2 - 2019-02-12 11:03 AM - Steve Lowman

- Status changed from Feedback to Open

I watched another user with a similar file and data successfully drag shapefile layers into a geopackage with no issues. And, I have tested the operation on

my own file, also with no problem.

I only reported the crash because the advisory dialogs suggested I ought to, but I recommend close this issue, as it was probably a random crash caused

by some sort of temporary lack of resources, or something like that.

#3 - 2019-02-12 11:15 AM - Alessandro Pasotti

- Resolution set to worksforme

- Status changed from Open to Closed
